{
  "security.workspace.trust.untrustedFiles": "open",
  "window.zoomLevel": 1.2,
  "editor.fontFamily": "Hack Nerd Font",
  "terminal.integrated.fontFamily": "Hack Nerd Font",
  "github.copilot.enable": {
    "*": true
  },
  "git.autofetch": true,
  "workbench.iconTheme": "vscode-icons",
  "[jsonc]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[json]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "vsicons.dontShowNewVersionMessage": true,
  "debug.internalConsoleOptions": "openOnSessionStart",

  "[go]": {
    "editor.tabSize": 4,
    "editor.renderWhitespace": "all"
  },

  "[dart]": {
    // Automatically format code on save and during typing of certain characters
    // (like `;` and `}`).
    "editor.formatOnSave": true,
    "editor.formatOnType": true,

    // Draw a guide line at 80 characters, where Dart's formatting will wrap code.
    "editor.rulers": [80],

    // Disables built-in highlighting of words that match your selection. Without
    // this, all instances of the selected text will be highlighted, interfering
    // with Dart's ability to highlight only exact references to the selected variable.
    "editor.selectionHighlight": false,

    // Allows pressing <TAB> to complete snippets such as `for` even when the
    // completion list is not visible.
    "editor.tabCompletion": "onlySnippets",

    // By default, VS Code will populate code completion with words found in the
    // matching documents when a language service does not provide its own completions.
    // This results in code completion suggesting words when editing comments and
    // strings. This setting will prevent that.
    "editor.wordBasedSuggestions": "off"
  },
  "remote.SSH.remotePlatform": {
    "mennos-laptop": "linux",
    "mennos-desktop": "linux"
  },
  "editor.tabSize": 2,
  "editor.insertSpaces": true,
  "editor.detectIndentation": true,
  "editor.autoIndent": "full",
  "debug.inlineValues": "on",
  "git.confirmSync": false,
  "[dockercompose]": {
    "editor.defaultFormatter": "ms-azuretools.vscode-docker"
  },
  "go.toolsManagement.autoUpdate": true,
  "redhat.telemetry.enabled": false,
  "makefile.configureOnOpen": false,
  "workbench.colorTheme": "Default Dark+",
  "geminicodeassist.project": "",
  "cloudcode.duetAI.project": ""
}